# Uses of Enum Class
org.apache.sysds.runtime.matrix.operators.CountDistinctOperatorTypes

Packages that use CountDistinctOperatorTypes
Package
Description
org.apache.sysds.runtime.matrix.operators

## Uses of CountDistinctOperatorTypes in org.apache.sysds.runtime.matrix.operators

Methods in org.apache.sysds.runtime.matrix.operators that return CountDistinctOperatorTypes
Modifier and Type
Method
Description
`CountDistinctOperatorTypes`
CountDistinctOperator.`getOperatorType()`
`static CountDistinctOperatorTypes`
CountDistinctOperatorTypes.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CountDistinctOperatorTypes[]`
CountDistinctOperatorTypes.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.apache.sysds.runtime.matrix.operators with parameters of type CountDistinctOperatorTypes
Modifier
Constructor
Description
``
`CountDistinctOperator(CountDistinctOperatorTypes operatorType, Types.Direction direction, IndexFunction indexFunction, Hash.HashType hashType)`